package com.yeejoin.amos.boot.module.ugp.api.Enum;

import java.util.HashMap;
import java.util.Map;

public enum ProjectResourceEnum {
    焊工资源("焊工","welder"),
    设备资源("设备","equipment"),
    管材资源("管材","material");

    private String name;



    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    ProjectResourceEnum(String name, String code) {
        this.name = name;
        this.code = code;
    }

    private String code;

    public static final Map<String,String> map=new HashMap<>();
    static {
        for (ProjectResourceEnum projectResourceEnum:ProjectResourceEnum.values()){
            map.put(projectResourceEnum.name, projectResourceEnum.code);
        }
    }




}
